From 86a8718ecfbe3a8397a150ea524a54ebfa3dab70 Mon Sep 17 00:00:00 2001
From: Ubuntu <shlok.kyal@gmail.com>
Date: Tue, 19 Mar 2024 16:35:27 +0530
Subject: [PATCH v30 3/3] Document a limitation of pg_createsubscriber

Document a limitation of pg_createsubscriber
---
 doc/src/sgml/ref/pg_createsubscriber.sgml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index 642213b5a4..1afd53e904 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -369,6 +369,18 @@ PostgreSQL documentation
     If the target server has a standby, replication will break and a fresh
     standby should be created.
    </para>
+
+   <para>
+    If the target server is not direct standby of the source server and none of the 
+    parent standby of target server has a replication slot, the replication between 
+    target server and its standby may break and a logical replication between target 
+    server and source server is set up.
+    For example: Node A, B and C are in cascade physical replication without 
+    replication slot. And if pg_createsubscriber is run on Node C as target server and
+    Node A as source server, the execution is successful and the physical replication 
+    between Node B and Node C breaks and a logical replication is setup between Node A 
+    and Node C.
+   </para> 
   </warning>
 
  </refsect1>
-- 
2.34.1

